View Issue Details

IDProjectCategoryView StatusLast Update
0000947SymmetricDSBugpublic2014-02-02 20:53
ReporterrottenAssigned Tochenson 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.11 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000947: Bad alter statement generated on oracle upgrade: ALTER TABLE "SYM_DATA_EVENT" MODIFY ("BATCH_ID" DEFAULT )
DescriptionAfter/While upgrading to 3.2.0 build 52, this alter table command is missing some arguments:

2012-12-12 10:39:52,869 WARN [SymmetricDS] [JdbcSqlTemplate] [symmetric-startup] ORA-00936: missing expression
. Failed to execute: ALTER TABLE "SYM_DATA_EVENT"
MODIFY ("BATCH_ID" DEFAULT ).
Steps To Reproduceupgrade to 3.2.0 (from 2.5.13)
TagsNo tags attached.

Activities

rotten

2012-12-12 11:33

reporter   ~0000101

I think the work-around is to run this alter table by hand and set the default to null:

alter table sym_data_event modify ("BATCH_ID" DEFAULT null);

Seems to stop SymmetricDS from trying to change the default anyway.

rotten

2012-12-12 11:43

reporter   ~0000102

I should have mentioned that this was an upgrade to an Oracle SymmetricDS instance.

chenson

2012-12-16 12:31

administrator   ~0000114

Prepare for release

Related Changesets

SymmetricDS: master 4fa6c056

2012-12-13 08:31:08

chenson

Details Diff
0000947: Bad alter statement generated on oracle upgrade: ALTER TABLE "SYM_DATA_EVENT" MODIFY ("BATCH_ID" DEFAULT )
0000947
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2012-12-12 10:45 rotten New Issue
2012-12-12 11:33 rotten Note Added: 0000101
2012-12-12 11:43 rotten Note Added: 0000102
2012-12-13 08:30 chenson Summary 3.2.0 build 52 sym_data_event alter table incomplet => Bad alter statement generated on oracle upgrade: ALTER TABLE "SYM_DATA_EVENT" MODIFY ("BATCH_ID" DEFAULT )
2012-12-13 08:31 chenson Fixed in Version => 3.2.0
2012-12-13 08:31 chenson Target Version => 3.2.0
2012-12-13 08:31 chenson Status new => resolved
2012-12-13 08:31 chenson Resolution open => fixed
2012-12-13 08:31 chenson Assigned To => chenson
2012-12-16 12:31 chenson Note Added: 0000114
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6669
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4fa6c056